
// Copyright (c) 2022 Pegadroid IQ Solutions Pvt. Ltd.
// Created by Attestr

import Flutter
import UIKit

public class SwiftAttestrFlowxFlutterPlugin: NSObject, FlutterPlugin {
    
    private var attestrDelegate = AttestrFlowxDelegate()
    
    private static var CHANNEL_NAME = "attestr_flowx_plugin"
    
    public static func register(with registrar: FlutterPluginRegistrar) {
        let channel = FlutterMethodChannel(name: CHANNEL_NAME , binaryMessenger: registrar.messenger())
        let instance = SwiftAttestrFlowxFlutterPlugin()
        registrar.addMethodCallDelegate(instance, channel: channel)
    }
    
    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        
        switch call.method {
        case "initiateSession":
            let options = call.arguments as! Dictionary<String, Any>
            attestrDelegate.launchFlow(options: options, result: result)
        default:
            result(FlutterMethodNotImplemented)
        }
    }
}
