import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'attestr_flowx_flutter_method_channel.dart';

abstract class AttestrFlowxFlutterPlatform extends PlatformInterface {
  /// Constructs a AttestrFlowxFlutterPlatform.
  AttestrFlowxFlutterPlatform() : super(token: _token);

  static final Object _token = Object();

  static AttestrFlowxFlutterPlatform _instance = MethodChannelAttestrFlowxFlutter();

  /// The default instance of [AttestrFlowxFlutterPlatform] to use.
  ///
  /// Defaults to [MethodChannelAttestrFlowxFlutter].
  static AttestrFlowxFlutterPlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [AttestrFlowxFlutterPlatform] when
  /// they register themselves.
  static set instance(AttestrFlowxFlutterPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
