import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'attestr_flowx_platform_interface.dart';

/// An implementation of [AttestrFlowxPlatform] that uses method channels.
class MethodChannelAttestrFlowx extends AttestrFlowxPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('attestr_flowx_flutter');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
