import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'attestr_flowx_method_channel.dart';

abstract class AttestrFlowxPlatform extends PlatformInterface {
  /// Constructs a AttestrFlowxFlutterPlatform.
  AttestrFlowxPlatform() : super(token: _token);

  static final Object _token = Object();

  static AttestrFlowxPlatform _instance = MethodChannelAttestrFlowx();

  /// The default instance of [AttestrFlowxPlatform] to use.
  ///
  /// Defaults to [MethodChannelAttestrFlowx].
  static AttestrFlowxPlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [AttestrFlowxPlatform] when
  /// they register themselves.
  static set instance(AttestrFlowxPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
