import 'package:flutter_test/flutter_test.dart';
import 'package:attestr_flowx_flutter/attestr_flowx_flutter.dart';
import 'package:attestr_flowx_flutter/attestr_flowx_flutter_platform_interface.dart';
import 'package:attestr_flowx_flutter/attestr_flowx_flutter_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockAttestrFlowxFlutterPlatform 
    with MockPlatformInterfaceMixin
    implements AttestrFlowxFlutterPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final AttestrFlowxFlutterPlatform initialPlatform = AttestrFlowxFlutterPlatform.instance;

  test('$MethodChannelAttestrFlowxFlutter is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelAttestrFlowxFlutter>());
  });

  test('getPlatformVersion', () async {
    AttestrFlowxFlutter attestrFlowxFlutterPlugin = AttestrFlowxFlutter();
    MockAttestrFlowxFlutterPlatform fakePlatform = MockAttestrFlowxFlutterPlatform();
    AttestrFlowxFlutterPlatform.instance = fakePlatform;
  
    expect(await attestrFlowxFlutterPlugin.getPlatformVersion(), '42');
  });
}
