import 'package:flutter_test/flutter_test.dart';
import 'package:attestr_flowx_flutter/attestr_flowx.dart';
import 'package:attestr_flowx_flutter/attestr_flowx_platform_interface.dart';
import 'package:attestr_flowx_flutter/attestr_flowx_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockAttestrFlowxPlatform
    with MockPlatformInterfaceMixin
    implements AttestrFlowxPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final AttestrFlowxPlatform initialPlatform = AttestrFlowxPlatform.instance;

  test('$MethodChannelAttestrFlowx is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelAttestrFlowx>());
  });

  test('getPlatformVersion', () async {
    AttestrFlowx attestrFlowxFlutterPlugin = AttestrFlowx();
    MockAttestrFlowxPlatform fakePlatform = MockAttestrFlowxPlatform();
    AttestrFlowxPlatform.instance = fakePlatform;
  
    expect(await attestrFlowxFlutterPlugin.getPlatformVersion(), '42');
  });
}
